var Main = (function (_super) {
    __extends(Main, _super);
    function Main() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.addEventListener(egret.Event.ADDED_TO_STAGE, _this.onAddToStage, _this);
        console.log(`>>进入main`, egret.getTimer());
        Main.Instance = _this;
        return _this;
    }
    Main.prototype.onAddToStage = function (t) {
        var _this = this;
        //修改获取版本的方式
        RES.getVirtualUrl = function (a) {
            var ves = 1;
            if (_this.urlObj) {
                var b = _this.urlObj[a];
                if (b)
                    ves = b;
            }
            var url = a + "?v=" + ves;
            return url;
        };
        //加载版本文件
        var loader = new egret.URLLoader();
        loader.dataFormat = egret.URLLoaderDataFormat.TEXT;
        loader.addEventListener(egret.Event.COMPLETE, this._showGame, this);
        let req = new egret.URLRequest("resource/resource_version.json?v=" + window["win_version"]);
        loader.load(req);
    };

    Main.prototype._showGame = function (evet) {
        var _this = this;
        _this.urlObj = JSON.parse(evet.target.data);
        Main.img = new eui.Image();
        Main.img.source = RES.getVirtualUrl("resource/assets/login_02.png");
        Main.img.alpha = 0;
        var num = 0;
        time = setInterval(function () {
            num += 1;
            if (num >= 100) {
                num = 100;
                clearInterval(time);
            }
            Main.img.alpha = num / 100;
        }, 10)
        _this.addChild(Main.img);
    }

    Main.prototype.removeLoading = function (t) {
        var _this = this;
        if (Main.img) {
            var num = 100;
            time = setInterval(function () {
                num -= 2;
                if (num <= 0) {
                    num = 0;
                    clearInterval(time);
                    _this.removeChild(Main.img)
                }
                Main.img.alpha = num / 100;
            }, 10)
        }
    };
    return Main;
}(egret.DisplayObjectContainer));
__reflect(Main.prototype, "Main");

var SetScreenAdapter = function (t) {
    function e() {
        return null !== t && t.apply(this, arguments) || this;
    }
    return __extends(e, t), e.prototype.calculateStageSize = function (scaleMode, screenWidth, screenHeight, contentWidth, contentHeight) {
        // //自定义的内容宽度
        contentWidth = 720
        //自定义的内容高度
        contentHeight = 1280
        //屏幕宽度
        let displayWidth = screenWidth;
        //屏幕高度
        let displayHeight = screenHeight;
        //舞台宽度
        let stageWidth = contentWidth;
        //舞台高度
        let stageHeight = contentHeight;
        //计算屏幕缩放比
        let scaleX = (screenWidth / stageWidth) || 0;
        let scaleY = (screenHeight / stageHeight) || 0;
        let HEIGHT = 1280
        let WIDTH = 720
        //屏幕本身的宽高比
        let ratio = screenWidth / screenHeight
        let rotio1 = 3 / 4
        let rotio2 = 720 / 1280
        // 1 全屏适配 //2模糊适配
        let mode = 2
        if (mode == 1) {
            if (ratio > rotio2) {
                // console.log("高度不变，宽度变")
                contentWidth = Math.round(HEIGHT * screenWidth / screenHeight)
                stageWidth = contentWidth
                displayHeight = Math.round(contentWidth * scaleY);
            } else {
                // console.log("宽度不变，高度变")
                // displayWidth = Math.floor(contentWidth * scaleY);
                contentHeight = Math.round(WIDTH * screenHeight / screenWidth)
                stageHeight = contentHeight
                displayHeight = Math.round(contentHeight * scaleX);
            }
        }
        //依据不同的屏幕宽高比，计算实际的宽高
        else {
            if (ratio > rotio1) {
                contentWidth = Math.round(screenHeight * rotio2)
                displayWidth = contentWidth;
            } else if (ratio < rotio2) {
                contentHeight = Math.round(WIDTH * screenHeight / screenWidth)
                stageHeight = contentHeight
                displayHeight = Math.round(contentHeight * scaleX);
            } else if (ratio < 9 / 18) {
                contentHeight = Math.round(WIDTH * 18 / 9)
            }
            else {
                displayWidth = stageWidth / stageHeight * displayHeight;
            }
        }
        if (egret.Capabilities.runtimeType != egret.RuntimeType.WXGAME) {
            //宽高不是2的整数倍会导致图片绘制出现问题
            if (stageWidth % 2 != 0) {
                stageWidth += 1;
            }
            if (stageHeight % 2 != 0) {
                stageHeight += 1;
            }
            if (displayWidth % 2 != 0) {
                displayWidth += 1;
            }
            if (displayHeight % 2 != 0) {
                displayHeight += 1;
            }
        }
        return {
            stageWidth: stageWidth,
            stageHeight: stageHeight,
            displayWidth: displayWidth,
            displayHeight: displayHeight
        };
    }, e;
}(egret.HashObject);
__reflect(SetScreenAdapter.prototype, "SetScreenAdapter", ["egret.sys.IScreenAdapter"]), egret.sys.screenAdapter = new SetScreenAdapter;